* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Arial';
}


/*otros*/

.contenedor-galeria {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.img-galeria {
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(11, 1fr);
    object-fit: contain;
    width: 100%;
    display: grid;
    margin-bottom: 15px;
    box-shadow: 0 0 6px rgba(0, 0, 0, .5);
    cursor: pointer;
}


/*importante*/

.imagen-light {
    position: fixed;
    background: rgba(0, 0, 0, .6);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translate(100%);
    transition: transform .2s ease-in-out;
}

.show {
    transform: translate(0);
}

.agregar-imagen {
    object-fit: cover;
    width: 60%;
    border-radius: 10px;
    transform: scale(0);
    transition: transform .3s .2s;
}

.showImage {
    transform: scale(1);
}

.close {
    position: absolute;
    top: 15px;
    right: 15px;
    width: 40px;
    cursor: pointer;
}

@media screen and (max-width:800px) {
    .agregar-imagen {
        width: 80%;
    }
    .img-galeria {
        width: 45%;
    }
}

@media screen and (max-width:500px) {
    .agregar-imagen {
        width: 95%;
    }
    .img-galeria {
        width: 95%;
    }
}


/*tsssss*/

.grid-item {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    transition: transform 0.3s ease-in-out;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.grid-item:hover {
    filter: opacity(0.9);
    transform: scale(1.04);
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    grid-auto-rows: minmax(200px, auto);
    gap: 20px;
    padding: 20px;
    grid-auto-flow: dense;
}

@media (min-width: 600px) {
    .wide {
        grid-column: span 2;
    }
    .tall {
        grid-row: span 2;
    }
}